#ifndef CMS_TEMPLATE_H
#define CMS_TEMPLATE_H

#include "cms_err.h"

typedef struct cms_template_arg
{
	char* key;
	char* val;
} cms_template_arg;

typedef struct cms_template_args
{
	cms_template_arg* arguments;
	size_t argnum;
	size_t allocd;
} cms_template_args;

cms_template_args* cms_template_args_create();

cms_err* cms_template_args_append(cms_template_args* args, char* key, char* val);

char* cms_templateify(char* str, cms_template_args* args);

#endif
